Bug 215261 - provide or auto-install debuginfo package details
provide or auto-install debuginfo package details
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: bug-buddy (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-12 20:50 EST by cje
Modified: 2008-06-30 14:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 14:41:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cje 2006-11-12 20:50:12 EST
Description of problem:

every bug raised is met by a "unfortunately some stack trace information is
missing" reply.  it's not always obvious what debuginfo packages are required. 
would it be possible to automatically work out which packages are missing and
offer to install them?


Version-Release number of selected component (if applicable):na


How reproducible:
na

Steps to Reproduce:na
1.
2.
3.
  
Actual results:na


Expected results:na


Additional info:na
Comment 1 cje 2007-05-10 11:09:54 EDT
debuginfo-install (available in fedora 7) does this.  so, is it possible to
patch bug-buddy to run that while the bug dialog is up (or at least offer to) ?

and would that be any use?  do the symbols work if you load them _after_ the app
has crashed?  does all this secure dynamically-placed libraries and prelink and
all that mean that it won't work anyway?
Comment 2 Christopher Beland 2008-02-27 13:30:33 EST
Bug 334811 has information about past and future attempts to solve this problem,
which persists in Fedora 8.
Comment 3 Ray Strode [halfline] 2008-03-18 14:41:22 EDT
Hi,

We no longer support Fedora Core 6 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)
Comment 4 Christopher Beland 2008-06-28 23:16:36 EDT
As mentioned above, this is present in Fedora 8.  (Unfortunately I don't have
permission to update the version number.)

Note You need to log in before you can comment on or make changes to this bug.